Bug Hunting Session
Bug 118825 - FILESAVE: User paths(motion paths) animation in saved pptx don't play.
Summary: FILESAVE: User paths(motion paths) animation in saved pptx don't play.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-18 14:29 UTC by Mark Hung
Modified: 2018-08-21 12:29 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample document that contains motion path animations ( freedom line, curve, polygon) (11.76 KB, application/vnd.oasis.opendocument.presentation)
2018-07-18 14:29 UTC, Mark Hung
Details
Sample document that contains motion path animations ( updated ). (12.30 KB, application/vnd.oasis.opendocument.presentation)
2018-07-19 14:13 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-07-18 14:29:19 UTC
Created attachment 143619 [details]
Sample document that contains motion path animations ( freedom line, curve, polygon)

Steps to reproduce:
1. Open the attached file.
2. Save as pptx.
3. Open it in PowerPoint and play.

Actual result: none of the motion path plays.
Expected result: all types of motion paths should work.
Comment 1 Mark Hung 2018-07-19 14:13:13 UTC
Created attachment 143646 [details]
Sample document that contains motion path animations ( updated ).
Comment 2 Commit Notification 2018-08-14 14:18:18 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=576b53468a15b2952dbdf9612f8a87d54b16680a

tdf#118825 refactor basegfx::utils::exportToSvgD with putCommandChar.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-08-14 14:26:33 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a85565653d770418f1f5a8bbfd13dfbe890ac7bb

tdf#118825 move basegfx::internal::putNumberCharWithSpace

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-08-14 16:24:07 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=071d8aff7cbe38c0522c5a87ee77dd1b0d2da91f

tdf#118825 Implement OOXMLMotionPath in exportToSvgD of basegfx.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-08-14 16:24:13 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=daa131c420c640a66c36e69da58f7e6a9d9bd8f0

tdf#118825 use exportToSvgD for motion path in pptx filter.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.